@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;600&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    list-style: none;
}


body{
    font-family: "Poppins", sans-serif;
    background-color: black;
    color: #e7e7e7;
    min-height: 100vh;
    line-height: 1.5;
}

/* NAV BARRE */

.container{
    width: 100%;
    margin: 0 auto;
    padding: 0 2rem;
    position: relative;
    overflow: hidden;
}

header{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1rem 5rem;
}

header h1{
    margin: 0;
    font-size: 3rem;
    font-weight: 300;
}

header h1 .bon{
    color: #6314ca;
}

nav{
    display: flex;
    align-items: center;
    gap: 3rem;
    margin-left: -5%;
}


nav a{
    font-size: 1rem;
    letter-spacing: 0.1em;
    transition: color 0.2s ease;
    text-decoration: none;
    color: inherit;
}

nav a:hover{
    color: #6a24c5;
}

header .btn-darkMode{
    font-size: 1.5rem;
}


.main{
    height: 300vh;
    width: 100%;
    display: flex;
    flex-direction: column;
}


.main .case{
    height: 100%;
    max-width: 100%;
    display: flex;
    align-items: center;
    
}

.main .case h2{
    margin-bottom: 1rem;
    font-size: 2rem;
   font-weight: 600;
}

#ptr-1{
    padding: 5rem;
}

#ptr-2{
    padding: 5rem;
    display: flex;
    flex-direction: row-reverse;
}


#ptr-3{
    padding: 5rem;
}

#ptr-4{
    padding: 5rem;
    display: flex;
    flex-direction: row-reverse;
}

#ptr-5{
    padding: 5rem;
}

.texte-rangement ul{
    font-size: 1.2rem;
    letter-spacing: 0.05em;
    max-width: 35rem;
    color: gray;
}


.case {
    position: relative;
    padding: 5rem;
}

.case::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 0;
    width: 100%;
    height: 85%;
    transform: translateY(-50%);
    pointer-events: none;
    z-index: -1;
    background: 
        linear-gradient(to right, rgba(99, 20, 202, 0.4) 0%, rgba(0, 0, 0, 0) 80%), 
        radial-gradient(circle at 10% 50%, rgba(99, 20, 202, 0.4) 0%, rgba(0, 0, 0, 0) 100%);
    filter: blur(24px);
    opacity: 0.25;
}

#ptr-2::before, #ptr-4::before {
    background: 
        linear-gradient(to left, rgba(99, 20, 202, 0.4) 0%, rgba(0, 0, 0, 0) 80%),
        radial-gradient(circle at 90% 50%, rgba(99, 20, 202, 0.4) 0%, rgba(0, 0, 0, 0) 100%);
}



